Incidencia #731 (closed Mejora: Resuelto)

Abierto hace 5 años

Última modificación 5 años

Falta Gestor de Actualizaciones

Informado por: josefranw Propietario: erickcion
Prioridad: Muy Alta Hito: Canaima Popular 4.0~b2
Componente: Canaima Popular Versión: 4.0
Gravedad: Crítica Palabras clave: canaima, error, gestor de actualizaciones
Cc: Asignar A:

Descripción

Es sólo una duda que tengo, ¿será que ha sido intencionalmente omitido por considerarse innecesario o ha sido una falta, o es que está bien escondido y no lo encuentro?

Historial de cambios

comment:1 en respuesta a: ↑ description Cambiado el 5 años por erickcion

  • Prioridad cambiado de Baja to Crítica
  • Componente cambiado de Accesibilidad to Canaima Popular
  • Gravedad cambiado de Menor to Grave

Replying to josefranw:

Es sólo una duda que tengo, ¿será que ha sido intencionalmente omitido por considerarse innecesario o ha sido una falta, o es que está bien escondido y no lo encuentro?


Por lo visto es una omisión por error, el update-manager es necesario para las actualziaciones al usuario.

Subo la gravedad de este tiquet a Crítica.

comment:2 Cambiado el 5 años por erickcion

  • Propietario cambiado de $USER a erickcion
  • Estado cambiado de new to accepted

El update manager fue eliminado en este commit:

http://git.canaima.softwarelibre.gob.ve/?p=canaima-escritorio-gnome.git;a=blobdiff;f=debian/control;h=1265e08ddd7d8d0ce9c7833f1368bc19f0871cd4;hp=a479e239eba8264ec3668e0f34f3f7c7419f592e;hb=2a0ae6809ce9e80cda0e3a3ecc8567b9e63fbbbc;hpb=1b8e4c07da321b0815939847cd7e7277b5e4a214

Este commit se hizo cuando se inició el proceso de redefinir las aplicaciones que estarían disponibles para Canaima 4.0, al principio del ciclo de desarrollo.

Se trata de un error de omisión. Es necesario reestablecer esta dependencia en canaima-escritorio-gnome.

comment:3 Cambiado el 5 años por franj

  • Estado cambiado de accepted to resuelta
  • Resolución establecido a Fijada
Editado por último en fecha 5 años por franj (anterior) (diferencia)

comment:4 Cambiado el 5 años por erickcion

Aunque se agregó, el gestor de actualizaciones está ahora generando este mensaje de error:

$ update-manager 
[   ERROR:UpdateManager.BugHandler] No exception handler installed.
Traceback (most recent call last):
  File "/usr/bin/update-manager", line 37, in <module>
    app = Application(APP_NAME, LOCALE_DIR, frontend='Gtk')
  File "/usr/lib/pymodules/python2.7/UpdateManager/Application.py", line 122, in __init__
    self._load_dist_specific(dist_specific)
  File "/usr/lib/pymodules/python2.7/UpdateManager/Application.py", line 193, in _load_dist_specific
    "dist_specific", DistBase)
  File "/usr/lib/pymodules/python2.7/UpdateManager/Application.py", line 237, in _load_meta
    loader = loader_class()
  File "/usr/lib/pymodules/python2.7/UpdateManager/DistSpecific/loader.py", line 34, in __init__
    os.path.dirname(__file__))
  File "/usr/lib/pymodules/python2.7/UpdateManager/Util/loader.py", line 60, in __init__
    self._find_modules()
  File "/usr/lib/pymodules/python2.7/UpdateManager/Util/loader.py", line 88, in _find_modules
    module = __import__(mod_name, fromlist=['*',])
  File "/usr/lib/pymodules/python2.7/UpdateManager/DistSpecific/Canaima/__init__.py", line 6
SyntaxError: Non-ASCII character '\xc3' in file /usr/lib/pymodules/python2.7/UpdateManager/DistSpecific/Canaima/__init__.py on line 6, but no encoding declared; see http://www.python.org/peps/pep-0263.html for details

Estaré trabajando para solucionarlo.

comment:5 Cambiado el 5 años por erickcion

El error se debe a que faltaba la declaración para que python interpretar archivos con la codificación UTF-8.

# -*- coding: utf-8 -*-

El cambio se realizó en el fuente de update-manager, con el sisguiente commit:

http://git.canaima.softwarelibre.gob.ve/?p=update-manager.git;a=commitdiff;h=3d86a139c41fbd462d61280cab868413755d3ec4

comment:6 Cambiado el 5 años por erickcion

  • Estado cambiado de resuelta to closed

Solución disponible a partir de paquete:

  • update-manager 0.200.5-2.1canaima2
Nota: Vea TracTickets para ayuda en el uso de incidencias.